// eslint-disable-next-line no-unused-vars
import React, { useContext } from 'react';
import classNames from 'classnames';
import { Tree, ConfigProvider } from 'antd';
import './index.less';

const TreeCustom = (props) => {
  const { getPrefixCls } = useContext(ConfigProvider.ConfigContext);
  const prefixCls = getPrefixCls('tree-custom');

  return <Tree {...props} className={classNames(`${prefixCls}-base`, props.className || '')} />;
};

export default TreeCustom;
